libtest-warn-perl_0.30-1_all.deb


Advertisement

Description

libtest-warn-perl - test module for checking which warnings are generated

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libtest-warn-perl
Package version 0.30
Package release 1
Package architecture all
Package type deb
Installed size 65 B
Download size 15.08 KB
Official Mirror ftp.br.debian.org
Test::Warn provides an easy way to test which warnings are thrown in some
perl code. It is compatible with the Test::More family of utilities and
similar to Test::Exception.

Alternatives

Package Version Architecture Repository
libtest-warn-perl_0.30-1_all.deb 0.30 all Debian Main
libtest-warn-perl - - -

Requires

Name Value
libsub-uplevel-perl -
perl -

Download

Type URL
Binary Package libtest-warn-perl_0.30-1_all.deb
Source Package libtest-warn-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtest-warn-perl deb package:
    # sudo apt-get install libtest-warn-perl

Files

Path
/usr/share/doc/libtest-warn-perl/changelog.Debian.gz
/usr/share/doc/libtest-warn-perl/changelog.gz
/usr/share/doc/libtest-warn-perl/copyright
/usr/share/man/man3/Test::Warn.3pm.gz
/usr/share/perl5/Test/Warn.pm

Changelog

2014-04-06 - gregor herrmann <gregoa@debian.org>
libtest-warn-perl (0.30-1) unstable; urgency=medium
* New upstream release.
* debian/control: remove Nicholas Bamber from Uploaders on request of
the MIA team.
* Strip trailing slash from metacpan URLs.
* Drop (build) dependency on libtree-dagnode-perl.
* Drop unused build dependency on libtest-pod-perl.
* Update years of copyright.
* Refresh language.patch.
* Declare compliance with Debian Policy 3.9.5.
2013-06-08 - gregor herrmann <gregoa@debian.org>
libtest-warn-perl (0.24-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Alessandro Ghedini ]
* New upstream release
* Email change: Alessandro Ghedini -> ghedo@debian.org
* Update debian/copyright format as in Debian Policy 3.9.3
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* This release fixes "FTBFS with perl 5.18: test failure"
(Closes: #711270)
* Refresh language.patch, partly merged upstream.
* Update years of packagin copyright.
* Set Standards-Version to 3.9.4 (no further changes).
2011-06-15 - Alessandro Ghedini <al3xbio@gmail.com>
libtest-warn-perl (0.23-1) unstable; urgency=low
[ Nicholas Bamber ]
* New upstream release (closes: #629292)
* Updated copyright
[ Alessandro Ghedini ]
* Bump debhelper compat level to 8
* Bump Standards-Version to 3.9.2 (no changes needed)
* Remove README.source
* Add myself to Uploaders
2010-09-23 - Nicholas Bamber <nicholas@periapt.co.uk>
libtest-warn-perl (0.22-1) unstable; urgency=low
[ Nicholas Bamber ]
* New upstream release
* Upped standards version to 3.9.1
* Added myself to Uploaders
* Removed quilt as a dependency and added debian/source/format
* Refreshed copyright
* Refreshed description
* Reviewed language.patch line by line.
* Removed '--with quilt' from debian rules
[ gregor herrmann ]
* debian/control: lower debhelper build dependency to 7; remove version from
libsub-uplevel-perl (build) dependency.
2009-09-08 - Damyan Ivanov <dmn@debian.org>
libtest-warn-perl (0.21-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Damyan Ivanov ]
* debian/watch: use the common CPAN pattern
* New upstream release
+ adjust language.patch
+ tests no longer fail. Closes: #545668 -- FTBFS
+ drop libtest-exception-perl and libarray-compare-perl from (build-)
dependencies
+ add new upstream copyright holder
* language.patch: note that the patch was forwarded
* use dh --with quilt 3-liner; bump debhelper and quilt build-dependency
* bump Standards-Version to 3.8.3 (no changes needed)
* add myself to Uploaders

See Also

Package Description
libtest-warnings-perl_0.016-1_all.deb Perl module to test for warnings and the lack of them
libtest-weaken-perl_3.022000-1_all.deb Perl module to test that freed memory objects were actually freed
libtest-without-module-perl_0.18-1_all.deb test fallback behaviour in absence of modules
libtest-www-declare-perl_0.02-3_all.deb declarative testing module for web apps
libtest-www-mechanize-catalyst-perl_0.59-1_all.deb module for automated testing for Catalyst applications
libtest-www-mechanize-cgiapp-perl_0.05-3_all.deb Test CGI::Application apps using WWW::Mechanize
libtest-www-mechanize-mojo-perl_0.0.16-1_all.deb module for testing web applications built using Mojolicious
libtest-www-mechanize-perl_1.42-1_all.deb module for testing web applications
libtest-www-mechanize-psgi-perl_0.35-1_all.deb test PSGI programs using WWW::Mechanize
libtest-www-selenium-perl_1.36-1_all.deb Perl test framework using Selenium Remote Control
libtest-xml-perl_0.08-2_all.deb compare XML in perl tests
libtest-xml-simple-perl_1.04-1_all.deb Perl testing framework for XML data
libtest-xpath-perl_0.16-1_all.deb test XML and HTML content and structure with XPath expressions
libtest-yaml-meta-perl_0.20-1_all.deb transitional dummy package for obsolete Test::YAML::Meta
libtest-yaml-perl_1.05-1_all.deb test module for YAML implementations
Advertisement
Advertisement